IConvertible

JJM

Active Member
Licensed User
Hello,

I got a message when i'm running a compiled programm: 'must implement Iconvertible'.
I use in my programm FormExDesktop and ControlExDesktop.
I have NET.Framework 2.0. Must I load NET.Framework 3.0 or 3.5?
Could you help me
Thanks and Best regards
JJ M
 

agraham

Expert
Licensed User
I have NET.Framework 2.0. Must I load NET.Framework 3.0 or 3.5?
No. The optimised compiler is stricter than the IDE (where I assume it runs OK). I recall seeing this error, but don't recall the reason for it :( but is is something in your code. I know you can't (at the moment :) ) see which line is the source of the error in an optimised compiled app but you can see the Sub. Try cutting that Sub into smaller Subs to see if you can isolate the error or post the source of the Sub and I'll see if I can spot it.
 

JJM

Active Member
Licensed User
Hello,

I have found then problem as you said to me in spliting the App_Start sub in 4 differents Sub.

I had wrote ToolStripLabel1.New1(Frx2.ControlRef) instead of xx("").

But the alert message wasn't very clear !!!

Thank you and best regards
JJM
 
Top